# Questable

## General guidelines

Questable is an RPG-like bot for maintaining events in real life. Main Tasks
are Quests while other tasks are Side Quests. You can use the bot to maintain
a list of things you need to do.

`/me` shows the player stats and takes you back to the main menu. XP is the
amount of experience gained by completing quests and side quests. To cancel
anything run `/cancel` or `/me`.

## Steps to add Quests/Side Quests
+ From the main menu, press `Add Quests` or `Add Side Quests`.
+ The bot will now ask for name of the quest. Enter a name.
+ Next, choose a difficulty from Low, Medium, High
+ Repeat with priority.
Note: The difficulty and importance of a Quest/Side Quest determine the XP
recieved for the quest.

## Steps to check and edit a Quest/Side Quest
+ From the main menu, press `List Quests` or `List Side Quests`
+ This will bring up a list like this

```
    /Q_3 Read Documentation
    /Q_1 Learn that thing
    /Q_2 Write Documentation
    /Q_4 Do that thing
    /Q_6 Try that program
```

+ To see the details of a quests/side quest, press the command in front of it.
For instance, to see the details of `Try that program` in the above list, press
`/Q_6`
  + Commands for quests start with `/Q_` whereas commands for side quests start
with `/SQ_`
+ The bot will show the details of the quest/side quest. It will also provide
options to modify it.
+ To mark the quest as done, press `Mark as done`
+ To change the name of the Quest/Side Quest
  + Press `Edit Name`
  + The bot will now ask for a new name
  + Send the new name
+ To change the difficulty of the Quest/Side Quest
	+ Press `Change Difficulty`
  + Choose a difficulty from Low, Medium, High
+ To change the priority of the Quest/Side Quest
	+ Press `Change Priority`
  + Choose a difficulty from Low, Medium, High
